Finance::Quote::CurrencyRates::YahooJSON(3pm)

NAME
Finance::Quote::CurrencyRates::YahooJSON - Obtain currency rates from https://query2.finance.yahoo.com/v11/finance/quoteSummary/...?modules=price

SYNOPSIS
    use Finance::Quote;

    $q = Finance::Quote->new(currency_rates => {order => ['YahooJSON']});

    $value = $q->currency('18.99 EUR', 'USD');

DESCRIPTION
This module fetches currency rates from https://query2.finance.yahoo.com/v11/finance/quoteSummary/...?modules=price provides data to Finance::Quote to convert the first argument to the equivalent value in the currency indicated by the second argument.

This module is not the default currency conversion module for a Finance::Quote object.

Terms & Conditions
Use of https://query2.finance.yahoo.com/v11/finance/quoteSummary/...?modules=price is governed by any terms & conditions of that site.

Finance::Quote is released under the GNU General Public License, version 2, which explicitly carries a "No Warranty" clause.